# DepCheck

Cocoapods 依赖关系检测. 循环依赖路径检测、构建可视化依赖关系图.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'dep_check'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install dep_check

## Usage

Usage:

    $ depcheck PODSPEC_NAME [REPO_NAME]

      cocoapods依赖关系校验. 查找循环依赖路径/构建模块依赖关系图.

Options:

    --repo-update   Fetch external podspecs and run `pod repo update` before
                    calculating the dependency graph
    --graphviz      Outputs the dependency graph in Graphviz format to <podspec
                    name>.gv or Podfile.gv
    --image         Outputs the dependency graph as an image to <podsepc name>.png or
                    Podfile.png
    --version       Show the version of the tool

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/dep_check. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

