# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dep_check/version'

Gem::Specification.new do |spec|
  spec.name          = "dep_check"
  spec.version       = DepCheck::VERSION
  spec.authors       = ["卡迩"]
  spec.email         = ["lj94409@alipay.com"]

  spec.summary       = %q{Circular depency checker for cocoapods based project. }
  spec.description   = %q{Circular depency checker for cocoapods based project. Use Graphviz for visualize the dependency graph.}
  spec.homepage      = "http://gitlab.alipay-inc.com/lj94409"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_dependency "ruby-graphviz", "~> 1.2"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_dependency "cocoapods", "~> 1.0"

end
